Dockerfile 461 Bytes
Newer Older
1
FROM debian:stretch
2
3
4
MAINTAINER Laurent Modolo

ENV DEEPTOOLS_VERSION=3.0.2
5
6
7
8
9
10
ENV PACKAGES build-essential \
             python3-pip \
             python3-setuptools \
             python3-dev \
             python3-wheel \
             zlib1g-dev \
11
             procps \
12
             libcurl4-gnutls-dev
13
14
15
16
17
18

RUN apt-get update && \
    apt-get install -y --no-install-recommends ${PACKAGES} && \
    apt-get clean

RUN pip3 install deeptools==${DEEPTOOLS_VERSION}